<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<style type="text/css">
	#box{
		/*background:red;*/
		height:100px;
		width: 100px;
		transition: .3s;
	}
	.blue{
		background:blue;
		margin-left:0;
		/*transform: skewX(0deg);*/
		border-radius: 50%

	}
	.red{
		background:red;
		margin-left:100px;
		/*transform: skewX(45deg);*/
		border-radius: 0
	}
</style>
<body>
<div id="box" class="blue" onclick="changeColor()" ondblclick="changeColor2()"></div>
</body>
<script type="text/javascript">
	a= document.getElementById('box');

	function changeColor(){
		document.getElementById('box').classList.remove('blue');
		document.getElementById('box').classList.add('red');
		// a.classList.remove('blue');
		// a.classList.add('red');
	}

		function changeColor2(){
		document.getElementById('box').classList.remove('red');
		document.getElementById('box').classList.add('blue');

		// a.classList.remove('blue');
		// a.classList.add('red');
	}
</script>
</html>